MDL-64998 libraries: Remove references to lessphpc
authorMathew May <mathewm@hotmail.co.nz>
Fri, 24 May 2019 04:04:15 +0000 (12:04 +0800)
committerMathew May <mathewm@hotmail.co.nz>
Mon, 24 Jun 2019 00:13:43 +0000 (08:13 +0800)
.eslintignore
.stylelintignore
lib/thirdpartylibs.xml
theme/upgrade.txt

index 5e12643..b512e29 100644 (file)
@@ -20,7 +20,6 @@ lib/mlbackend/php/phpml/
 lib/adodb/
 lib/bennu/
 lib/evalmath/
-lib/lessphp/
 lib/phpexcel/
 lib/google/
 lib/htmlpurifier/
index a22b9cc..da80cf5 100644 (file)
@@ -21,7 +21,6 @@ lib/mlbackend/php/phpml/
 lib/adodb/
 lib/bennu/
 lib/evalmath/
-lib/lessphp/
 lib/phpexcel/
 lib/google/
 lib/htmlpurifier/
index 505ae73..8f8bf1f 100644 (file)
     <version></version>
     <licenseversion></licenseversion>
   </library>
-  <library>
-    <location>lessphp</location>
-    <name>less.php</name>
-    <license>Apache</license>
-    <version>1.7.0.10</version>
-    <licenseversion>2.0</licenseversion>
-  </library>
   <library>
     <location>phpexcel</location>
     <name>PHPExcel</name>
index 924f4ec..3f281b6 100644 (file)
@@ -1,6 +1,11 @@
 This files describes API changes in /theme/* themes,
 information provided here is intended especially for theme designer.
 
+=== 3.8 ===
+
+* The PHP Less compilier has now been removed from the core library.
+  Please consider migrating your theme to use SCSS.
+
 === 3.7 ===
 * The core/form_autocompelte_input template now has a `data-tags` attribute.
 * Boost theme renderer overrides have now been migrated to core.